//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FQ.MD.WEB.Models
{
    using System;
    using System.Collections.Generic;

    public partial class GT_MASTER_MODULES
    {
        public GT_MASTER_MODULES()
        {
            this.GT_MASTER_STATUS = new HashSet<GT_MASTER_STATUS>();
        }

        public int ModuleId { get; set; }
        public string Module { get; set; }
        public string Note { get; set; }
        public int CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public Nullable<int> LastUpdatedBy { get; set; }
        public Nullable<System.DateTime> LastUpdatedDate { get; set; }
        public bool IsDeleted { get; set; }
        public Nullable<int> DeletedBy { get; set; }
        public Nullable<System.DateTime> DeletedDate { get; set; }
        public string Remark { get; set; }

        public virtual ICollection<GT_MASTER_STATUS> GT_MASTER_STATUS { get; set; }
    }
}
